Subject: [i2rs] Questions to draft-ji-i2rs-usecases-ccne-service-00

From: Linda Dunbar <[email-masked]>
Date: Fri, 1 Nov 2013 22:49:20 +0000

Xiao Feng and ShunWan,

draft-ji-i2rs-usecases-ccne-service-00 provides some interesting use cases for I2RS.

For the first case "Controlling Path by RR", are you proposing interfaces to RR router?  Is it correct? What if the request to RR conflict with what RR's own computation from all other routers?

For the following text (3.1.3): Are you trying to make RR dictate routes within one AS with explicit commands,  but not via changing RIB?
"RR can compute the routes for every router and install/distribute the routes to corresponding routers"

For the second case on PCE, are you suggesting using PCEP to control router's FIB?

Thanks, Linda

---

From: Zhuangshunwan <[email-masked]>
Date: Mon, 4 Nov 2013 10:01:37 +0800

Linda,

Please see inline below.

Regards,

ShunWan

发件人: Linda Dunbar [mailto:[email-masked]] 
发送时间: 2013年11月2日 6:49
收件人: [email-masked]; Jixiaofeng (Steven); Zhuangshunwan
主题: Questions to draft-ji-i2rs-usecases-ccne-service-00

Xiao Feng and ShunWan, 

draft-ji-i2rs-usecases-ccne-service-00 provides some interesting use cases
for I2RS. 

For the first case “Controlling Path by RR”, are you proposing interfaces
to RR router?  Is it correct? What if the request to RR conflict with what
RR’s own computation from all other routers? 

ShunWan：

Yes, we’re proposing interfaces to RR router.  If have conflict, RR should
follow the require from controller.

Section 3.1

…

To assist network operators in addressing this challenge, we

   present some I2RS RR use case, introduce a set of I2RS programmatic

   APIs for RR that allows a network operator to flexibly control

   routing between the traffic ingresses and egresses within an ISP's

   network.

For the following text (3.1.3): Are you trying to make RR dictate routes
within one AS with explicit commands,  but not via changing RIB?

“RR can compute the routes for every router and install/distribute the
routes to corresponding routers”

ShunWan：Yes.

   For example, for a path from Source 1 (S1) to Destination 1 (D1), if

   the computed path is: S1-A-B-C-D1, then the RR will distribute a

   route (D1) to C with the nexthop set to D1; a route (D1) to B with

   the nexthop set to C, and a route (D1) to A with the nexthop set to

   B, and finally the route (D1) will be distributed to S1 by A.

                         +-------------------+

                         | APP or Controller |

                         +-------------------+

                                  |

            [Interface for control ip forward network path]

                                  |

                                 ----

                                /    \

                               |  RR  |

                                \    /

                                /-+-\

                               /  |  \

                              /   |   \

                             / +--+-+  \

                      +--+-+/| | B  |   +--+-+

           Source 1---| A  | | +----+   | C  |--- Destination 1

                   \ /+----+ |          +----+\ /

                    *    +---+----+-------+    *

                   / \+--+-+      |     +-+--+/ \

           Source 2---| D  |   +--+-+   | F  |--- Destination 2

                      +----+   | E  |   +----+

                               +----+

           Figure 2: Route Reflection based Traffic Steering (RRTS)

For the second case on PCE, are you suggesting using PCEP to control
router’s FIB? 

Thanks, Linda

---

From: Huangtieying <[email-masked]>
Date: Mon, 4 Nov 2013 02:10:09 +0000

Hi Linda,

    For PCE case, PCEP protocol is used for communications between a PCC and a PCE, or between two PCEs, in ompliance with RFC 4657, Such interactions include path computation requests and path computation replies as well as notifications of specific states related to the use of a PCE in MPLS and GMPLS TE.

Regards,
TieYing
________________________________

发件人: Zhuangshunwan
发送时间: 2013年11月4日 10:01
收件人: Linda Dunbar; [email-masked]; Jixiaofeng (Steven); Yangang; Huangtieying
主题: Re: [I2RS] Questions to draft-ji-i2rs-usecases-ccne-service-00

Linda,

Please see inline below.

Regards,

ShunWan

Xiao Feng and ShunWan,

For the first case “Controlling Path by RR”, are you proposing interfaces to RR router?  Is it correct? What if the request to RR conflict with what RR’s own computation from all other routers?
ShunWan：
Yes, we’re proposing interfaces to RR router.  If have conflict, RR should follow the require from controller.
Section 3.1
…
To assist network operators in addressing this challenge, we
   present some I2RS RR use case, introduce a set of I2RS programmatic
   APIs for RR that allows a network operator to flexibly control
   routing between the traffic ingresses and egresses within an ISP's
   network.

For the following text (3.1.3): Are you trying to make RR dictate routes within one AS with explicit commands,  but not via changing RIB?
“RR can compute the routes for every router and install/distribute the routes to corresponding routers”

ShunWan：Yes.

                         +-------------------+
                         | APP or Controller |
                         +-------------------+
                                  |

For the second case on PCE, are you suggesting using PCEP to control router’s FIB?

Thanks, Linda

---

From: Linda Dunbar <[email-masked]>
Date: Tue, 5 Nov 2013 18:56:01 +0000

Tie Ying,

Thanks for the reply.

PCE indeed is a good choice.
draft-farrkingel-pce-abno-architecture-06.txt provides a PCE-based Architecture for Application-based Network Operations.

Is your draft pretty much along the line?

Thanks, Linda

From: Huangtieying
Sent: Sunday, November 03, 2013 8:10 PM
To: Zhuangshunwan; Linda Dunbar; [email-masked]; Jixiaofeng (Steven); Yangang
Subject: 答复: [I2RS] Questions to draft-ji-i2rs-usecases-ccne-service-00

Hi Linda,

Regards,
TieYing

Please see inline below.

Regards,

ShunWan

Xiao Feng and ShunWan,

ShunWan：Yes.

                         +-------------------+
                         | APP or Controller |
                         +-------------------+
                                  |

Thanks, Linda